CVE-2022-24986

NameCVE-2022-24986
DescriptionKDE KCron through 21.12.2 uses a temporary file in /tmp when saving, but reuses the filename during an editing session. Thus, someone watching it be created the first time could potentially intercept the file the following time, enabling that person to run unauthorized commands.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub advisories/code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
kcron (PTS)buster4:17.08.3-2vulnerable
bullseye4:20.12.0-1vulnerable
bookworm, sid4:21.12.3-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
kcronsource(unstable)4:21.12.3-1

Notes

[bullseye] - kcron <no-dsa> (Minor issue)
[buster] - kcron <no-dsa> (Minor issue)
[stretch] - kcron <ignored> (Minor issue, too intrusive to backport)
https://www.openwall.com/lists/oss-security/2022/02/25/3
https://invent.kde.org/system/kcron/-/commit/ef4266e3d5ea741c4d4f442a2cb12a317d7502a1
https://invent.kde.org/system/kcron/-/merge_requests/14 (followup fix)
https://kde.org/info/security/advisory-20220216-1.txt

Search for package or bug name: Reporting problems